<template>
  <div :class="`text-${field.textAlign}`">
    <span
      v-if="fieldHasValue || usesCustomizedDisplay"
      class="whitespace-nowrap"
      :title="field.value"
    >
      <template v-if="cShowDiff">
        {{ cFormattedValue }}
      </template>
      <template v-else>
        {{ cFormattedDate }}
      </template>
      <em
        v-if="cHasComment && cShowCommentOnIndex"
        class="text-gray-500 dark:text-gray-500"
      >
        &nbsp;{{ cComment }}
      </em>
    </span>
    <span v-else>&mdash;</span>
  </div>
</template>

<script>
import {
  FieldValue,
} from 'laravel-nova'

import {
  useDateFieldUtils,
} from 'js/composables'

export default {
  mixins: [FieldValue],

  props: {
    resourceName: {
      type: String,
      required: true,
    },
    field: {
      type: Object,
      required: true,
    },
  },

  setup: (props, context) => useDateFieldUtils(props, context, 'index'),
}
</script>
